### Hierarchy

- Core
  - Contract

## Index

### Constructors

- constructor

### Properties

- BatchRequest
- getContractDetail
- getContractInfo
- provider
- providers
- requestManager
- providers

### Accessors

- currentProvider

### Methods

- buildCall
- callContractMethod
- createContactCallTransaction
- getApproveCall
- getContractAllowance
- getContractBalanceByAddress
- getContractDecimals
- getContractName
- getContractSymbol
- getTotalSupply
- getTransferCall
- getTransferFromCall
- setProvider
- checkContractOptions
- createContract
- createDeployContractTransaction

## Constructors

### constructor

- new Contract(provider: any, net?: any): Contract

- Overrides Core.constructor

  - Defined in cs/contract/index.ts:10

  #### Parameters

  - ##### provider: any

  - ##### Optional net: any

  #### Returns Contract

## Properties

### BatchRequest

BatchRequest: BatchManager

Inherited from Core.BatchRequest

- Defined in core/index.ts:13

### getContractDetail

getContractDetail: function = this.buildCall({call: 'chainstack_getContract',name: 'getContractDetail',outputFormatter: Helper.Formatters.outputContractDetailFormatter,params: 1})

- Defined in cs/contract/index.ts:275

Get contract detail

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### Private getContractInfo

getContractInfo: function = this.buildCall({call: 'chainstack_getContractInfo',name: 'getContractInfo',inputFormatter: [Helper.Formatters.inputContractCallFormatter],params: 1})

- Defined in cs/contract/index.ts:329

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### provider

provider: Provider

Inherited from Core.provider

- Defined in core/index.ts:10

### providers

providers: ProvidersInterface

Inherited from Core.providers

- Defined in core/index.ts:11

### requestManager

requestManager: RequestManager

Inherited from Core.requestManager

- Defined in core/index.ts:12

### Static providers

providers: ProvidersInterface = RequestManager.providers

Inherited from Core.providers

- Defined in core/index.ts:9

## Accessors

### currentProvider

- get currentProvider(): any
- set currentProvider(value: any): void

- Inherited from Core.currentProvider

  - Defined in core/index.ts:28

  #### Returns any

- Inherited from Core.currentProvider

  - Defined in core/index.ts:32

  #### Parameters

  - ##### value: any

  #### Returns void

## Methods

### buildCall

- buildCall(options: MethodOptions): function

- Inherited from Core.buildCall

  - Defined in core/index.ts:41

  #### Parameters

  - ##### options: MethodOptions

  #### Returns function

  - - (...args: any[]): any

    - #### Parameters

      - ##### Rest ...args: any[]

      #### Returns any

### Private callContractMethod

- callContractMethod(action: string, contractAddress: string, params: any[]): string

- - Defined in cs/contract/index.ts:317

  #### Parameters

  - ##### action: string

  - ##### contractAddress: string

  - ##### params: any[]

  #### Returns string

### createContactCallTransaction

- createContactCallTransaction(transactionData: TransactionData, privateKey: string, chainId?: string): SignedTransactionResult

- - Defined in cs/contract/index.ts:89

  Create contract call transaction

  #### Parameters

  - ##### transactionData: TransactionData

  - ##### privateKey: string

  - ##### Optional chainId: string

  #### Returns SignedTransactionResult

### getApproveCall

- getApproveCall(contractAddress: string, spenderAddress: string, value: string): string

- - Defined in cs/contract/index.ts:139

  Get contract approve call method

  #### Parameters

  - ##### contractAddress: string

  - ##### spenderAddress: string

  - ##### value: string

  #### Returns string

### getContractAllowance

- getContractAllowance(contractAddress: string, ownerAddress: string, spenderAddress: string, cb: any): void

- - Defined in cs/contract/index.ts:254

  Get contract allowance

  #### Parameters

  - ##### contractAddress: string

  - ##### ownerAddress: string

  - ##### spenderAddress: string

  - ##### cb: any

  #### Returns void

### getContractBalanceByAddress

- getContractBalanceByAddress(contractAddress: string, address: string, cb: any): void

- - Defined in cs/contract/index.ts:229

  Get contract balance by address

  #### Parameters

  - ##### contractAddress: string

  - ##### address: string

  - ##### cb: any

  #### Returns void

### getContractDecimals

- getContractDecimals(contractAddress: string, cb: any): void

- - Defined in cs/contract/index.ts:210

  Get contract decimals

  #### Parameters

  - ##### contractAddress: string

  - ##### cb: any

  #### Returns void

### getContractName

- getContractName(contractAddress: string, cb: any): void

- - Defined in cs/contract/index.ts:174

  Get contract name

  #### Parameters

  - ##### contractAddress: string

  - ##### cb: any

  #### Returns void

### getContractSymbol

- getContractSymbol(contractAddress: string, cb: any): void

- - Defined in cs/contract/index.ts:192

  Get contract symbol

  #### Parameters

  - ##### contractAddress: string

  - ##### cb: any

  #### Returns void

### getTotalSupply

- getTotalSupply(contractAddress: string, cb: any): void

- - Defined in cs/contract/index.ts:156

  Get contract total supply

  #### Parameters

  - ##### contractAddress: string

  - ##### cb: any

  #### Returns void

### getTransferCall

- getTransferCall(contractAddress: string, to: string, value: string): string

- - Defined in cs/contract/index.ts:104

  Get contract transfer call method

  #### Parameters

  - ##### contractAddress: string

  - ##### to: string

  - ##### value: string

  #### Returns string

### getTransferFromCall

- getTransferFromCall(contractAddress: string, from: string, to: string, value: string): string

- - Defined in cs/contract/index.ts:119

  Get contract transfer from call method

  #### Parameters

  - ##### contractAddress: string

  - ##### from: string

  - ##### to: string

  - ##### value: string

  #### Returns string

### setProvider

- setProvider(provider: string | Provider, net?: any): void

- Inherited from Core.setProvider

  - Defined in core/index.ts:36

  #### Parameters

  - ##### provider: string | Provider

  - ##### Optional net: any

  #### Returns void

### Static checkContractOptions

- checkContractOptions(options: ContractOptions, contractType: string): void

- - Defined in cs/contract/index.ts:282

  #### Parameters

  - ##### options: ContractOptions

  - ##### contractType: string

  #### Returns void

### Static createContract

- createContract(options: ContractOptions, contractType: string, contractAddress?: string): ContractResult

- - Defined in cs/contract/index.ts:24

  Creat contract

  #### Parameters

  - ##### options: ContractOptions

  - ##### contractType: string

  - ##### Optional contractAddress: string

  #### Returns ContractResult

  Contract data and contract address

### Static createDeployContractTransaction

- createDeployContractTransaction(transactionData: TransactionData, privateKey: string, chainId?: string): SignedTransactionResult

- - Defined in cs/contract/index.ts:73

  Create contract deploy transaction

  #### Parameters

  - ##### transactionData: TransactionData

  - ##### privateKey: string

  - ##### Optional chainId: string

  #### Returns SignedTransactionResult

Generated using TypeDoc